#include <Item/StatelessItem/BasicItem/CheatCapsule/CheatCapsule.hpp>

CheatCapsule::CheatCapsule(std::string name, std::string fName, Material &mat) : 
    BasicItem(name, fluidRegistry.getFluidByName(fName)->displayName + " Cheat Capsule" , mat),
    fluidName(fName)
{
    setMaxStackSize(1);
}

int CheatCapsule::pullFluid(ItemStack &stack, std::string fluidName, int maxToPull)
{
    return maxToPull;
}

int CheatCapsule::pushFluid(ItemStack &stack, std::string fluidName, int amount)
{
    return 0;
}

int CheatCapsule::getFluidAmount(const ItemStack &stack)
{
    return 99999;
}

std::string CheatCapsule::getFluidName(const ItemStack &stack)
{
    return fluidName;
}

int CheatCapsule::pullFluidForEquipment(ItemStack &stack, std::string fluidName, int maxAmount)
{
    return maxAmount;
}